AOZ Studio Beta - Bug #728

Javascript alert can no longer be called.
04/21/2021 07:34 AM - Brian Flanagan

Status: Resolved Start date: 04/21/2021
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B7)

Description

It now gets an "lllegal invocation" error.
Example:

{ alert('test'"); 1}
Result (console messages):

Illegal invocation
TypeError: Illegal invocation

at AOZView.window.alert (/Library/Application Support/AOZ_Studio/.aozstudio/packages/aoz-studi
o/lib/aocz-studio-view. js:213)

at self.iframe.contentWindow.alert (/Library/Application Support/A0Z_Studio/.aozstudio/package
s/aoz-studio/lib/ui/aoz-viewer.js:890)

at Application.blocks.<computed> (VM3985 application.js:48)

at AOZ.runBlocks (VM3984 raoz.js:778)

at doUpdate (VM3984 raoz.js:452)
Internal error
at line: 1, column: 1 in file Alert_Problem.aoz.

History

#1 - 04/21/2021 08:04 AM - Brian Flanagan
NOTE: This fails only in the AOZ Viewer. In a web browser, it works.

#2 - 06/05/2021 02:07 PM - Brian Flanagan

Re-tested this in 1.0.0 (B8).
Still fails.

#3 - 09/06/2021 06:30 PM - Brian Flanagan
Re-tested in 1.0.0 (B10) u16

Works!

#4 - 09/06/2021 06:31 PM - Brian Flanagan

- Status changed from New to Resolved
